image: 'clarinpl/python:3.6'
cache:
  paths:
    - .tox
stages:
  # - check_style
  - build
before_script:
  - pip install tox==2.9.1
# pep8:
#   stage: check_style
#   script:
#     - tox -v -e pep8
# docstyle:
#   stage: check_style
#   script:
#     - tox -v -e docstyle
build_image:
  stage: build
  image: 'docker:18.09.7'
  only:
    - develop
  services:
    - 'docker:18.09.7-dind'
  variables:
    DOCKERHUB_NAME: clarinpl/anonymizer
  before_script:
    - ''
  script:
    - docker build -t $DOCKERHUB_NAME .
    - echo $DOCKER_PASSWORD > pass.txt
    - cat pass.txt | docker login --username $DOCKER_USERNAME --password-stdin
    - rm pass.txt
    # - docker push $DOCKERHUB_NAME
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker image tag $DOCKERHUB_NAME $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG
    # - docker image tag $DOCKERHUB_NAME $CI_REGISTRY_IMAGE:develop
    - docker push $CI_REGISTRY_IMAGE

